Bug 502385 - (Yahoo!) buddy icons/avatars missing when a http proxy is used (in GNOME)
(Yahoo!) buddy icons/avatars missing when a http proxy is used (in GNOME)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-24 11:39 EDT by Cristian Ciupitu
Modified: 2010-06-28 08:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:41:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
file from ~/.purple/icons containing a proxy error (1.33 KB, text/html)
2009-05-24 11:39 EDT, Cristian Ciupitu
no flags Details

  None (edit)
Description Cristian Ciupitu 2009-05-24 11:39:07 EDT
Created attachment 345252 [details]
file from ~/.purple/icons containing a proxy error

Description of problem:
I can not see the icons/avatars of my buddies. The problem exists with the Yahoo protocol. I think that the MSN protocol is unaffected by this, but I'm not very sure because I don't use it too much.

Version-Release number of selected component (if applicable):
pidgin-2.5.5-1.fc10.i386.rpm

How reproducible:
Every time

Steps to Reproduce:
1. Configure the HTTP and HTTPS proxies in GNOME (System -> Preferences -> Internet ... -> Proxy)
2. Add an Yahoo account to Pidgin and set the proxy type for it to *"No proxy"*
3. Login with this account

Actual results:
The buddies of this account won't have their avatars displayed, but I can see their status messages.

Expected results:
The buddies of this account should have their avatars displayed.

Additional info:
The ~/.purple/icons directory is full of files similar with the one attached. I find it strange that pidgin uses the proxy even if it's configured not to use a proxy, although to be honest for some addresses (IPs outside Romania AFAIK) the proxy is transparent; e.g. when I visit Fedora's web page I'm going through that proxy, no matter what. Also, the proxy that I'm using, allows only standard HTTP ports, i.e. 80 and 443; for example, port 5000 can't be used.

If I disable the proxies from the GNOME settings, pidgin works fine and I can see the avatars.

I don't know if this is relevant/useful, but here it goes: the buddy information window for a buddy has this error:

  Error retrieving profile
  This profile is in a language or format that is not supported at this time.

Other installed packages:
libpurple-2.5.5-1.fc10.i386.rpm
pidgin-libnotify-0.14-1.fc10.i386.rpm
pidgin-privacy-please-0.5.3-1.fc10.i386.rpm
gnome-desktop-2.24.3-1.fc10.i386.rpm
Comment 1 Bug Zapper 2009-11-18 07:52:49 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 10:30:13 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 08:41:46 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.